org.modeshape.sequencer.xsd

## Class XsdLexicon

- java.lang.Object
- - org.modeshape.sequencer.xsd.XsdLexicon

-     @Immutable
      public class XsdLexicon
      extends Object

  A lexicon of names used within the XSD sequencer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XsdLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ABSTRACT`
    `static String` | `ALL`
    `static String` | `ANNOTATION`
    `static String` | `ANY_ATTRIBUTE`
    `static String` | `ATTRIBUTE_DECLARATION`
    `static String` | `ATTRIBUTE_GROUP`
    `static String` | `BASE_TYPE_NAME`
    `static String` | `BASE_TYPE_NAMESPACE`
    `static String` | `BASE_TYPE_REFERENCE`
    `static String` | `BLOCK`
    `static String` | `CHOICE`
    `static String` | `COMPLEX_CONTENT`
    `static String` | `COMPLEX_TYPE`
    `static String` | `COMPLEX_TYPE_CONTENT`
    `static String` | `COMPLEX_TYPE_DEFINITION`
    `static String` | `ELEMENT_DECLARATION`
    `static String` | `ENUMERATED_VALUES`
    `static String` | `FINAL`
    `static String` | `FORM`
    `static String` | `FRACTION_DIGITS`
    `static String` | `ID`
    `static String` | `IMPORT`
    `static String` | `IMPORTED_XSDS`
    `static String` | `INCLUDE`
    `static String` | `INCLUDED_XSDS`
    `static String` | `MAX_LENGTH`
    `static String` | `MAX_OCCURS`
    `static String` | `MAX_OCCURS_UNBOUNDED`
    `static String` | `MAX_VALUE_EXCLUSIVE`
    `static String` | `MAX_VALUE_INCLUSIVE`
    `static String` | `METHOD`
    `static String` | `MIN_LENGTH`
    `static String` | `MIN_OCCURS`
    `static String` | `MIN_VALUE_EXCLUSIVE`
    `static String` | `MIN_VALUE_INCLUSIVE`
    `static String` | `MIXED`
    `static String` | `NAMESPACE`
    `static String` | `NC_NAME`
    `static String` | `NILLABLE`
    `static String` | `PATTERN`
    `static String` | `PROCESS_CONTENTS`
    `static String` | `REDEFINE`
    `static String` | `REDEFINED_XSDS`
    `static String` | `REF`
    `static String` | `REF_NAME`
    `static String` | `REF_NAMESPACE`
    `static String` | `SCHEMA_DOCUMENT`
    `static String` | `SCHEMA_LOCATION`
    `static String` | `SEQUENCE`
    `static String` | `SIMPLE_CONTENT`
    `static String` | `SIMPLE_TYPE`
    `static String` | `SIMPLE_TYPE_DEFINITION`
    `static String` | `TOTAL_DIGITS`
    `static String` | `TYPE_NAME`
    `static String` | `TYPE_NAMESPACE`
    `static String` | `TYPE_REFERENCE`
    `static String` | `USE`
    `static String` | `WHITESPACE`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SCHEMA_DOCUMENT

          public static final String SCHEMA_DOCUMENT

      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_DEFINITION

          public static final String COMPLEX_TYPE_DEFINITION

      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE_DEFINITION

          public static final String SIMPLE_TYPE_DEFINITION

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_DECLARATION

          public static final String ATTRIBUTE_DECLARATION

      See Also:
        Constant Field Values

    - #### ELEMENT_DECLARATION

          public static final String ELEMENT_DECLARATION

      See Also:
        Constant Field Values

    - #### IMPORT

          public static final String IMPORT

      See Also:
        Constant Field Values

    - #### INCLUDE

          public static final String INCLUDE

      See Also:
        Constant Field Values

    - #### REDEFINE

          public static final String REDEFINE

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_GROUP

          public static final String ATTRIBUTE_GROUP

      See Also:
        Constant Field Values

    - #### ANY_ATTRIBUTE

          public static final String ANY_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ALL

          public static final String ALL

      See Also:
        Constant Field Values

    - #### CHOICE

          public static final String CHOICE

      See Also:
        Constant Field Values

    - #### SEQUENCE

          public static final String SEQUENCE

      See Also:
        Constant Field Values

    - #### SIMPLE_CONTENT

          public static final String SIMPLE_CONTENT

      See Also:
        Constant Field Values

    - #### COMPLEX_CONTENT

          public static final String COMPLEX_CONTENT

      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE_CONTENT

          public static final String COMPLEX_TYPE_CONTENT

      See Also:
        Constant Field Values

    - #### ANNOTATION

          public static final String ANNOTATION

      See Also:
        Constant Field Values

    - #### IMPORTED_XSDS

          public static final String IMPORTED_XSDS

      See Also:
        Constant Field Values

    - #### INCLUDED_XSDS

          public static final String INCLUDED_XSDS

      See Also:
        Constant Field Values

    - #### REDEFINED_XSDS

          public static final String REDEFINED_XSDS

      See Also:
        Constant Field Values

    - #### NC_NAME

          public static final String NC_NAME

      See Also:
        Constant Field Values

    - #### NAMESPACE

          public static final String NAMESPACE

      See Also:
        Constant Field Values

    - #### TYPE_NAME

          public static final String TYPE_NAME

      See Also:
        Constant Field Values

    - #### TYPE_NAMESPACE

          public static final String TYPE_NAMESPACE

      See Also:
        Constant Field Values

    - #### TYPE_REFERENCE

          public static final String TYPE_REFERENCE

      See Also:
        Constant Field Values

    - #### BASE_TYPE_REFERENCE

          public static final String BASE_TYPE_REFERENCE

      See Also:
        Constant Field Values

    - #### BASE_TYPE_NAME

          public static final String BASE_TYPE_NAME

      See Also:
        Constant Field Values

    - #### BASE_TYPE_NAMESPACE

          public static final String BASE_TYPE_NAMESPACE

      See Also:
        Constant Field Values

    - #### SCHEMA_LOCATION

          public static final String SCHEMA_LOCATION

      See Also:
        Constant Field Values

    - #### REF_NAMESPACE

          public static final String REF_NAMESPACE

      See Also:
        Constant Field Values

    - #### REF_NAME

          public static final String REF_NAME

      See Also:
        Constant Field Values

    - #### REF

          public static final String REF

      See Also:
        Constant Field Values

    - #### METHOD

          public static final String METHOD

      See Also:
        Constant Field Values

    - #### MIN_OCCURS

          public static final String MIN_OCCURS

      See Also:
        Constant Field Values

    - #### MAX_OCCURS

          public static final String MAX_OCCURS

      See Also:
        Constant Field Values

    - #### MAX_OCCURS_UNBOUNDED

          public static final String MAX_OCCURS_UNBOUNDED

      See Also:
        Constant Field Values

    - #### MAX_LENGTH

          public static final String MAX_LENGTH

      See Also:
        Constant Field Values

    - #### MIN_LENGTH

          public static final String MIN_LENGTH

      See Also:
        Constant Field Values

    - #### ENUMERATED_VALUES

          public static final String ENUMERATED_VALUES

      See Also:
        Constant Field Values

    - #### WHITESPACE

          public static final String WHITESPACE

      See Also:
        Constant Field Values

    - #### MAX_VALUE_EXCLUSIVE

          public static final String MAX_VALUE_EXCLUSIVE

      See Also:
        Constant Field Values

    - #### MIN_VALUE_EXCLUSIVE

          public static final String MIN_VALUE_EXCLUSIVE

      See Also:
        Constant Field Values

    - #### MAX_VALUE_INCLUSIVE

          public static final String MAX_VALUE_INCLUSIVE

      See Also:
        Constant Field Values

    - #### MIN_VALUE_INCLUSIVE

          public static final String MIN_VALUE_INCLUSIVE

      See Also:
        Constant Field Values

    - #### TOTAL_DIGITS

          public static final String TOTAL_DIGITS

      See Also:
        Constant Field Values

    - #### FRACTION_DIGITS

          public static final String FRACTION_DIGITS

      See Also:
        Constant Field Values

    - #### PATTERN

          public static final String PATTERN

      See Also:
        Constant Field Values

    - #### FINAL

          public static final String FINAL

      See Also:
        Constant Field Values

    - #### BLOCK

          public static final String BLOCK

      See Also:
        Constant Field Values

    - #### ABSTRACT

          public static final String ABSTRACT

      See Also:
        Constant Field Values

    - #### MIXED

          public static final String MIXED

      See Also:
        Constant Field Values

    - #### NILLABLE

          public static final String NILLABLE

      See Also:
        Constant Field Values

    - #### USE

          public static final String USE

      See Also:
        Constant Field Values

    - #### PROCESS_CONTENTS

          public static final String PROCESS_CONTENTS

      See Also:
        Constant Field Values

    - #### FORM

          public static final String FORM

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### COMPLEX_TYPE

          public static final String COMPLEX_TYPE

      See Also:
        Constant Field Values

    - #### SIMPLE_TYPE

          public static final String SIMPLE_TYPE

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.